> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/api/prices.md).

# Prices

Prices

## List pricelists

> List all pricelists.\
> \
> Required permissions: PRICELIST

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Prices","description":"Prices"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"pricelistNameQuery":{"description":"Reference to the name of a pricelist.","in":"query","name":"pricelistName","required":false,"schema":{"type":"string"}},"pricelistExternalIdQuery":{"description":"External reference to a pricelist.","in":"query","name":"pricelistExternalId","required":false,"schema":{"type":"string"}},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"PricelistResponseSchema":{"properties":{"createdAt":{"format":"date-time","type":"string"},"externalId":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"pricelistUid":{"$ref":"#/components/schemas/UID"}},"required":["pricelistUid","name","externalId","createdAt","lastModifiedAt"],"title":"PricelistResponseSchema","type":"object"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"PricelistListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/PricelistResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/pricelists":{"get":{"description":"List all pricelists.\n\nRequired permissions: PRICELIST","operationId":"get-tenants-pricelists","parameters":[{"$ref":"#/components/parameters/pricelistNameQuery"},{"$ref":"#/components/parameters/pricelistExternalIdQuery"},{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"responses":{"200":{"$ref":"#/components/responses/PricelistListResponse"}},"summary":"List pricelists","tags":["Prices"]}}}}
```

## Create a new pricelist

> Create a new pricelist.\
> \
> Required permissions: PRICELIST

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Prices","description":"Prices"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"PricelistCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PricelistCreateRequestSchema"}}}}},"schemas":{"PricelistCreateRequestSchema":{"allOf":[{"$ref":"#/components/schemas/PricelistUpdateRequestSchema"},{"properties":{"pricelistUid":{"$ref":"#/components/schemas/UID"}}}],"type":"object","title":"PricelistCreateRequestSchema"},"PricelistUpdateRequestSchema":{"title":"PricelistUpdateRequestSchema","type":"object","properties":{"externalId":{"type":"string"},"name":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"PricelistResponseSchema":{"properties":{"createdAt":{"format":"date-time","type":"string"},"externalId":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"pricelistUid":{"$ref":"#/components/schemas/UID"}},"required":["pricelistUid","name","externalId","createdAt","lastModifiedAt"],"title":"PricelistResponseSchema","type":"object"}},"responses":{"PricelistResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PricelistResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/pricelists":{"post":{"description":"Create a new pricelist.\n\nRequired permissions: PRICELIST","operationId":"post-tenants-pricelists","requestBody":{"$ref":"#/components/requestBodies/PricelistCreateRequest"},"responses":{"200":{"$ref":"#/components/responses/PricelistResponse"}},"summary":"Create a new pricelist","tags":["Prices"]}}}}
```

## Get pricelist details

> Get pricelist details.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Prices","description":"Prices"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"PricelistResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PricelistResponseSchema"}}},"description":"Example response"}},"schemas":{"PricelistResponseSchema":{"properties":{"createdAt":{"format":"date-time","type":"string"},"externalId":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"pricelistUid":{"$ref":"#/components/schemas/UID"}},"required":["pricelistUid","name","externalId","createdAt","lastModifiedAt"],"title":"PricelistResponseSchema","type":"object"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}}},"paths":{"/tenants/{tenantUid}/pricelists/{pricelistUid}":{"get":{"description":"Get pricelist details.","operationId":"get-tenants-pricelists-details","responses":{"200":{"$ref":"#/components/responses/PricelistResponse"}},"summary":"Get pricelist details","tags":["Prices"]}}}}
```

## Update pricelist details

> Update pricelist details.\
> \
> Required permissions: PRICELIST

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Prices","description":"Prices"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"PricelistUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PricelistUpdateRequestSchema"}}}}},"schemas":{"PricelistUpdateRequestSchema":{"title":"PricelistUpdateRequestSchema","type":"object","properties":{"externalId":{"type":"string"},"name":{"type":"string"}}},"PricelistResponseSchema":{"properties":{"createdAt":{"format":"date-time","type":"string"},"externalId":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"pricelistUid":{"$ref":"#/components/schemas/UID"}},"required":["pricelistUid","name","externalId","createdAt","lastModifiedAt"],"title":"PricelistResponseSchema","type":"object"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}},"responses":{"PricelistResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PricelistResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/pricelists/{pricelistUid}":{"put":{"description":"Update pricelist details.\n\nRequired permissions: PRICELIST","operationId":"put-tenants-pricelists-details","requestBody":{"$ref":"#/components/requestBodies/PricelistUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/PricelistResponse"}},"summary":"Update pricelist details","tags":["Prices"]}}}}
```

## Delete a pricelist

> Deletes a pricelist and all associated prices.\
> \
> Required permissions: PRICELIST

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Prices","description":"Prices"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/pricelists/{pricelistUid}":{"delete":{"description":"Deletes a pricelist and all associated prices.\n\nRequired permissions: PRICELIST","operationId":"delete-tenants-pricelists-details","responses":{"204":{"description":"No Content"}},"summary":"Delete a pricelist","tags":["Prices"]}}}}
```

## List prices

> Lists all prices on a pricelist.\
> \
> Required permissions: PRICELIST

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Prices","description":"Prices"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"priceProductExternalIdQuery":{"description":"External reference to a product.","in":"query","name":"priceProductExternalId","required":false,"schema":{"type":"string"}},"priceProductUidQuery":{"description":"Reference to a product uid.","in":"query","name":"priceProductUid","required":false,"schema":{"$ref":"#/components/schemas/UID"}},"priceProductSkuQuery":{"description":"reference to a product sku.","in":"query","name":"priceProductSku","required":false,"schema":{"type":"string"}},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"PriceResponseSchema":{"title":"PriceResponseSchema","type":"object","required":["createdAt","lastModifiedAt","fromDate","toDate","price","priceUid","pricelistUid","productExternalId","productUid","productName","productRecommendedRetailPrice","productSku","brand","productGroup"],"properties":{"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"fromDate":{"format":"date-time","type":"string"},"toDate":{"format":"date-time","type":"string"},"price":{"type":"integer"},"priceUid":{"$ref":"#/components/schemas/UID"},"pricelistUid":{"$ref":"#/components/schemas/UID"},"productExternalId":{"type":"string"},"productUid":{"$ref":"#/components/schemas/UID"},"productName":{"type":"string"},"productRecommendedRetailPrice":{"type":"integer","nullable":true},"productSku":{"type":"string"},"brand":{"$ref":"#/components/schemas/PriceBrandResponseSchema"},"productGroup":{"$ref":"#/components/schemas/PriceProductGroupResponseSchema"}}},"PriceBrandResponseSchema":{"title":"PriceBrandResponseSchema","type":"object","required":["brandUid","name"],"properties":{"brandUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"}}},"PriceProductGroupResponseSchema":{"title":"PriceProductGroupResponseSchema","type":"object","required":["productGroupUid","name","path"],"properties":{"productGroupUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"path":{"type":"array","items":{"$ref":"#/components/schemas/ProductGroupPathSchema"}}}},"ProductGroupPathSchema":{"title":"ProductGroupPathSchema","type":"object","properties":{"name":{"type":"string"},"parentUid":{"$ref":"#/components/schemas/UID"},"productGroupUid":{"$ref":"#/components/schemas/UID"}},"required":["name","parentUid","productGroupUid"]},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"PriceListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/PriceResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/pricelists/{pricelistUid}/prices":{"get":{"description":"Lists all prices on a pricelist.\n\nRequired permissions: PRICELIST","operationId":"get-tenants-pricelists-prices","parameters":[{"$ref":"#/components/parameters/priceProductExternalIdQuery"},{"$ref":"#/components/parameters/priceProductUidQuery"},{"$ref":"#/components/parameters/priceProductSkuQuery"},{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"responses":{"200":{"$ref":"#/components/responses/PriceListResponse"}},"summary":"List prices","tags":["Prices"]}}}}
```

## Create a new price

> Creates a new price for a product on a pricelist.\
> \
> One product in a pricelist can have one price with no toDate. \
> This is regarded as a fallback price if no price is found with a fromDate >= now() and toDate <= now()\
> \
> No prices for one product can overlap in time.\
> \
> Required permissions: PRICELIST

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Prices","description":"Prices"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"PriceCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceCreateSchema"}}}}},"schemas":{"PriceCreateSchema":{"title":"PriceCreateSchema","type":"object","required":["price","productUid"],"properties":{"fromDate":{"format":"date-time","type":"string","description":"Optional. Will be set to current time if it is not in the request"},"toDate":{"format":"date-time","type":"string","description":"Optional. \nSet to null if not in request."},"price":{"type":"integer"},"productUid":{"$ref":"#/components/schemas/UID"},"priceUid":{"$ref":"#/components/schemas/UID"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"PriceResponseSchema":{"title":"PriceResponseSchema","type":"object","required":["createdAt","lastModifiedAt","fromDate","toDate","price","priceUid","pricelistUid","productExternalId","productUid","productName","productRecommendedRetailPrice","productSku","brand","productGroup"],"properties":{"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"fromDate":{"format":"date-time","type":"string"},"toDate":{"format":"date-time","type":"string"},"price":{"type":"integer"},"priceUid":{"$ref":"#/components/schemas/UID"},"pricelistUid":{"$ref":"#/components/schemas/UID"},"productExternalId":{"type":"string"},"productUid":{"$ref":"#/components/schemas/UID"},"productName":{"type":"string"},"productRecommendedRetailPrice":{"type":"integer","nullable":true},"productSku":{"type":"string"},"brand":{"$ref":"#/components/schemas/PriceBrandResponseSchema"},"productGroup":{"$ref":"#/components/schemas/PriceProductGroupResponseSchema"}}},"PriceBrandResponseSchema":{"title":"PriceBrandResponseSchema","type":"object","required":["brandUid","name"],"properties":{"brandUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"}}},"PriceProductGroupResponseSchema":{"title":"PriceProductGroupResponseSchema","type":"object","required":["productGroupUid","name","path"],"properties":{"productGroupUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"path":{"type":"array","items":{"$ref":"#/components/schemas/ProductGroupPathSchema"}}}},"ProductGroupPathSchema":{"title":"ProductGroupPathSchema","type":"object","properties":{"name":{"type":"string"},"parentUid":{"$ref":"#/components/schemas/UID"},"productGroupUid":{"$ref":"#/components/schemas/UID"}},"required":["name","parentUid","productGroupUid"]}},"responses":{"PriceResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/pricelists/{pricelistUid}/prices":{"post":{"description":"Creates a new price for a product on a pricelist.\n\nOne product in a pricelist can have one price with no toDate. \nThis is regarded as a fallback price if no price is found with a fromDate >= now() and toDate <= now()\n\nNo prices for one product can overlap in time.\n\nRequired permissions: PRICELIST","operationId":"post-tenants-pricelists-prices","requestBody":{"$ref":"#/components/requestBodies/PriceCreateRequest"},"responses":{"200":{"$ref":"#/components/responses/PriceResponse"}},"summary":"Create a new price","tags":["Prices"]}}}}
```

## BATCH Create prices on a pricelist.

> Creates prices on a pricelist. \
> One product in a pricelist can have one price with no toDate. \
> This is regarded as a fallback price if no price is found with a fromDate >= now() and toDate <= now()\
> \
> No prices for one product can overlap in time.\
> \
> Items in:\
> &#x20; \- create :  will be created.\
> &#x20;             if fromDate is not set in request, current timestamp     \
> &#x20;             will be set on price record\
> &#x20;   \
> &#x20; \- update :  will be updated.\
> &#x20; \- delete:   will be deleted.\
> &#x20; \- upsert:   will create or update if needed.\
> &#x20;             if fromDate is not set in request, an update on \
> &#x20;             current price will be executed.\
> \
> The response http status is either:\
> &#x20;\- 200: all items in request was processed successfully, \
> &#x20;\- 207: one or more item was processed with an error.\
> \
> Required permissions: PRICELIST<br>

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Prices","description":"Prices"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"PriceBatchRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceBatchRequestSchema"}}},"description":"Request for Batch Price"}},"schemas":{"PriceBatchRequestSchema":{"properties":{"create":{"items":{"$ref":"#/components/schemas/PriceCreateSchema"},"type":"array"},"delete":{"items":{"$ref":"#/components/schemas/PriceDeleteBatchSchema"},"type":"array"},"update":{"items":{"$ref":"#/components/schemas/PriceUpdateBatchSchema"},"type":"array"},"upsert":{"items":{"$ref":"#/components/schemas/PriceCreateSchema"},"type":"array"}},"title":"PriceBatchRequestSchema","type":"object"},"PriceCreateSchema":{"title":"PriceCreateSchema","type":"object","required":["price","productUid"],"properties":{"fromDate":{"format":"date-time","type":"string","description":"Optional. Will be set to current time if it is not in the request"},"toDate":{"format":"date-time","type":"string","description":"Optional. \nSet to null if not in request."},"price":{"type":"integer"},"productUid":{"$ref":"#/components/schemas/UID"},"priceUid":{"$ref":"#/components/schemas/UID"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"PriceDeleteBatchSchema":{"properties":{"priceUid":{"$ref":"#/components/schemas/UID"}},"required":["priceUid"],"title":"PriceDeleteBatchSchema","type":"object"},"PriceUpdateBatchSchema":{"type":"object","title":"PriceUpdateBatchSchema","required":["fromDate","price","priceUid"],"properties":{"fromDate":{"format":"date-time","type":"string","description":"Optional. Will be set to current time if it is not in the request"},"toDate":{"format":"date-time","type":"string","description":"Optional. \nSet to null if not in request."},"price":{"type":"integer"},"priceUid":{"$ref":"#/components/schemas/UID"}}},"PriceBatchResponseSchema":{"properties":{"create":{"$ref":"#/components/schemas/BatchResponseItemProductSchema"},"delete":{"$ref":"#/components/schemas/PriceBatchResponseItemPriceSchema"},"update":{"$ref":"#/components/schemas/PriceBatchResponseItemPriceSchema"},"upsert":{"$ref":"#/components/schemas/BatchResponseItemProductSchema"}},"required":["create","upsert","update","delete"],"title":"PriceBatchResponseSchema","type":"object"},"BatchResponseItemProductSchema":{"properties":{"errors":{"items":{"$ref":"#/components/schemas/BatchErrorProductSchema"},"type":"array"},"success":{"type":"integer"}},"required":["success","errors"],"title":"BatchResponseItemProductSchema","type":"object"},"BatchErrorProductSchema":{"properties":{"errorCode":{"type":"string"},"message":{"type":"string"},"productUid":{"$ref":"#/components/schemas/UID"}},"required":["productUid","errorCode","message"],"title":"BatchErrorProductSchema","type":"object"},"PriceBatchResponseItemPriceSchema":{"properties":{"errors":{"items":{"$ref":"#/components/schemas/PriceBatchErrorPriceSchema"},"type":"array"},"success":{"type":"integer"}},"required":["success","errors"],"title":"PriceBatchResponseItemPriceSchema","type":"object"},"PriceBatchErrorPriceSchema":{"properties":{"errorCode":{"type":"string"},"message":{"type":"string"},"priceUid":{"$ref":"#/components/schemas/UID"}},"required":["priceUid","errorCode","message"],"title":"PriceBatchErrorPriceSchema","type":"object"}},"responses":{"PriceBatchResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceBatchResponseSchema"}}},"description":"Response for PriceBatchRequest.\n200: All items in request was processed with no errors\n207: One or more items in request returned an error"}}},"paths":{"/tenants/{tenantUid}/pricelists/{pricelistUid}/prices/batch":{"post":{"description":"Creates prices on a pricelist. \nOne product in a pricelist can have one price with no toDate. \nThis is regarded as a fallback price if no price is found with a fromDate >= now() and toDate <= now()\n\nNo prices for one product can overlap in time.\n\nItems in:\n  - create :  will be created.\n              if fromDate is not set in request, current timestamp     \n              will be set on price record\n    \n  - update :  will be updated.\n  - delete:   will be deleted.\n  - upsert:   will create or update if needed.\n              if fromDate is not set in request, an update on \n              current price will be executed.\n\nThe response http status is either:\n - 200: all items in request was processed successfully, \n - 207: one or more item was processed with an error.\n\nRequired permissions: PRICELIST\n","operationId":"post-tenants-pricelists-prices-batch","requestBody":{"$ref":"#/components/requestBodies/PriceBatchRequest"},"responses":{"200":{"$ref":"#/components/responses/PriceBatchResponse"},"207":{"$ref":"#/components/responses/PriceBatchResponse"}},"summary":"BATCH Create prices on a pricelist.","tags":["Prices"]}}}}
```

## Search for prices in a price list

> The search answers the question:\
> Give all prices that have products with brand in brandUids AND productGroup in groupUids\
> &#x20;AND that have product SKU/name, brand name or productGroup name which contains the query words.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Prices","description":"Prices"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"PriceSearchRequest":{"content":{"application/json":{"schema":{"type":"object","properties":{"query":{"type":"string"},"brandUids":{"type":"array","items":{"$ref":"#/components/schemas/UID"}},"productGroupUids":{"type":"array","items":{"$ref":"#/components/schemas/UID"}}}}}}}},"schemas":{"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"PriceResponseSchema":{"title":"PriceResponseSchema","type":"object","required":["createdAt","lastModifiedAt","fromDate","toDate","price","priceUid","pricelistUid","productExternalId","productUid","productName","productRecommendedRetailPrice","productSku","brand","productGroup"],"properties":{"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"fromDate":{"format":"date-time","type":"string"},"toDate":{"format":"date-time","type":"string"},"price":{"type":"integer"},"priceUid":{"$ref":"#/components/schemas/UID"},"pricelistUid":{"$ref":"#/components/schemas/UID"},"productExternalId":{"type":"string"},"productUid":{"$ref":"#/components/schemas/UID"},"productName":{"type":"string"},"productRecommendedRetailPrice":{"type":"integer","nullable":true},"productSku":{"type":"string"},"brand":{"$ref":"#/components/schemas/PriceBrandResponseSchema"},"productGroup":{"$ref":"#/components/schemas/PriceProductGroupResponseSchema"}}},"PriceBrandResponseSchema":{"title":"PriceBrandResponseSchema","type":"object","required":["brandUid","name"],"properties":{"brandUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"}}},"PriceProductGroupResponseSchema":{"title":"PriceProductGroupResponseSchema","type":"object","required":["productGroupUid","name","path"],"properties":{"productGroupUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"path":{"type":"array","items":{"$ref":"#/components/schemas/ProductGroupPathSchema"}}}},"ProductGroupPathSchema":{"title":"ProductGroupPathSchema","type":"object","properties":{"name":{"type":"string"},"parentUid":{"$ref":"#/components/schemas/UID"},"productGroupUid":{"$ref":"#/components/schemas/UID"}},"required":["name","parentUid","productGroupUid"]},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"},"PriceBatchResponseSchema":{"properties":{"create":{"$ref":"#/components/schemas/BatchResponseItemProductSchema"},"delete":{"$ref":"#/components/schemas/PriceBatchResponseItemPriceSchema"},"update":{"$ref":"#/components/schemas/PriceBatchResponseItemPriceSchema"},"upsert":{"$ref":"#/components/schemas/BatchResponseItemProductSchema"}},"required":["create","upsert","update","delete"],"title":"PriceBatchResponseSchema","type":"object"},"BatchResponseItemProductSchema":{"properties":{"errors":{"items":{"$ref":"#/components/schemas/BatchErrorProductSchema"},"type":"array"},"success":{"type":"integer"}},"required":["success","errors"],"title":"BatchResponseItemProductSchema","type":"object"},"BatchErrorProductSchema":{"properties":{"errorCode":{"type":"string"},"message":{"type":"string"},"productUid":{"$ref":"#/components/schemas/UID"}},"required":["productUid","errorCode","message"],"title":"BatchErrorProductSchema","type":"object"},"PriceBatchResponseItemPriceSchema":{"properties":{"errors":{"items":{"$ref":"#/components/schemas/PriceBatchErrorPriceSchema"},"type":"array"},"success":{"type":"integer"}},"required":["success","errors"],"title":"PriceBatchResponseItemPriceSchema","type":"object"},"PriceBatchErrorPriceSchema":{"properties":{"errorCode":{"type":"string"},"message":{"type":"string"},"priceUid":{"$ref":"#/components/schemas/UID"}},"required":["priceUid","errorCode","message"],"title":"PriceBatchErrorPriceSchema","type":"object"},"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"}},"responses":{"PriceListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/PriceResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"},"PriceBatchResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceBatchResponseSchema"}}},"description":"Response for PriceBatchRequest.\n200: All items in request was processed with no errors\n207: One or more items in request returned an error"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}}},"paths":{"/tenants/{tenantUid}/pricelists/{pricelistUid}/prices/search":{"post":{"description":"The search answers the question:\nGive all prices that have products with brand in brandUids AND productGroup in groupUids\n AND that have product SKU/name, brand name or productGroup name which contains the query words.","operationId":"post-pricelists-prices-search","requestBody":{"$ref":"#/components/requestBodies/PriceSearchRequest"},"responses":{"200":{"$ref":"#/components/responses/PriceListResponse"},"207":{"$ref":"#/components/responses/PriceBatchResponse"}},"summary":"Search for prices in a price list","tags":["Prices"],"parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}]}}}}
```

## Get price details

> Get details for a price.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Prices","description":"Prices"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"PriceResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceResponseSchema"}}},"description":"Example response"}},"schemas":{"PriceResponseSchema":{"title":"PriceResponseSchema","type":"object","required":["createdAt","lastModifiedAt","fromDate","toDate","price","priceUid","pricelistUid","productExternalId","productUid","productName","productRecommendedRetailPrice","productSku","brand","productGroup"],"properties":{"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"fromDate":{"format":"date-time","type":"string"},"toDate":{"format":"date-time","type":"string"},"price":{"type":"integer"},"priceUid":{"$ref":"#/components/schemas/UID"},"pricelistUid":{"$ref":"#/components/schemas/UID"},"productExternalId":{"type":"string"},"productUid":{"$ref":"#/components/schemas/UID"},"productName":{"type":"string"},"productRecommendedRetailPrice":{"type":"integer","nullable":true},"productSku":{"type":"string"},"brand":{"$ref":"#/components/schemas/PriceBrandResponseSchema"},"productGroup":{"$ref":"#/components/schemas/PriceProductGroupResponseSchema"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"PriceBrandResponseSchema":{"title":"PriceBrandResponseSchema","type":"object","required":["brandUid","name"],"properties":{"brandUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"}}},"PriceProductGroupResponseSchema":{"title":"PriceProductGroupResponseSchema","type":"object","required":["productGroupUid","name","path"],"properties":{"productGroupUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"path":{"type":"array","items":{"$ref":"#/components/schemas/ProductGroupPathSchema"}}}},"ProductGroupPathSchema":{"title":"ProductGroupPathSchema","type":"object","properties":{"name":{"type":"string"},"parentUid":{"$ref":"#/components/schemas/UID"},"productGroupUid":{"$ref":"#/components/schemas/UID"}},"required":["name","parentUid","productGroupUid"]}}},"paths":{"/tenants/{tenantUid}/pricelists/{pricelistUid}/prices/{priceUid}":{"get":{"description":"Get details for a price.","operationId":"get-tenants-pricelists-prices-details","responses":{"200":{"$ref":"#/components/responses/PriceResponse"}},"summary":"Get price details","tags":["Prices"]}}}}
```

## Update price details

> Update details for a price.\
> \
> Required permissions: PRICELIST

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Prices","description":"Prices"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"PriceUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceUpdateSchema"}}}}},"schemas":{"PriceUpdateSchema":{"title":"PriceUpdateSchema","type":"object","required":["price"],"properties":{"fromDate":{"format":"date-time","type":"string","description":"Optional. Will be set to current time if it is not in the request"},"toDate":{"format":"date-time","type":"string","description":"Optional. \nSet to null if not in request."},"price":{"type":"integer"}}},"PriceResponseSchema":{"title":"PriceResponseSchema","type":"object","required":["createdAt","lastModifiedAt","fromDate","toDate","price","priceUid","pricelistUid","productExternalId","productUid","productName","productRecommendedRetailPrice","productSku","brand","productGroup"],"properties":{"createdAt":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"fromDate":{"format":"date-time","type":"string"},"toDate":{"format":"date-time","type":"string"},"price":{"type":"integer"},"priceUid":{"$ref":"#/components/schemas/UID"},"pricelistUid":{"$ref":"#/components/schemas/UID"},"productExternalId":{"type":"string"},"productUid":{"$ref":"#/components/schemas/UID"},"productName":{"type":"string"},"productRecommendedRetailPrice":{"type":"integer","nullable":true},"productSku":{"type":"string"},"brand":{"$ref":"#/components/schemas/PriceBrandResponseSchema"},"productGroup":{"$ref":"#/components/schemas/PriceProductGroupResponseSchema"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"PriceBrandResponseSchema":{"title":"PriceBrandResponseSchema","type":"object","required":["brandUid","name"],"properties":{"brandUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"}}},"PriceProductGroupResponseSchema":{"title":"PriceProductGroupResponseSchema","type":"object","required":["productGroupUid","name","path"],"properties":{"productGroupUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"path":{"type":"array","items":{"$ref":"#/components/schemas/ProductGroupPathSchema"}}}},"ProductGroupPathSchema":{"title":"ProductGroupPathSchema","type":"object","properties":{"name":{"type":"string"},"parentUid":{"$ref":"#/components/schemas/UID"},"productGroupUid":{"$ref":"#/components/schemas/UID"}},"required":["name","parentUid","productGroupUid"]}},"responses":{"PriceResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/pricelists/{pricelistUid}/prices/{priceUid}":{"put":{"description":"Update details for a price.\n\nRequired permissions: PRICELIST","operationId":"put-tenants-pricelists-prices-details","requestBody":{"$ref":"#/components/requestBodies/PriceUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/PriceResponse"}},"summary":"Update price details","tags":["Prices"]}}}}
```

## Delete a price

> Deletes a price on a pricelist.\
> Required permissions: PRICELIST

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Prices","description":"Prices"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/pricelists/{pricelistUid}/prices/{priceUid}":{"delete":{"operationId":"delete-tenants-pricelists-prices-details","responses":{"204":{"description":"No Content"}},"summary":"Delete a price","description":"Deletes a price on a pricelist.\nRequired permissions: PRICELIST","tags":["Prices"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flowretail.com/api/prices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
